server.port=8323

logging.level.root=info
logging.path=/opt/uat/smartcity-gateway/logs
logging.level.com.alibaba.nacos.client.naming=error

#nacos
spring.cloud.nacos.discovery.server-addr=10.0.0.153:8328

#指定服务名
spring.application.name=smart-city-v2-gateway

spring.cloud.gateway.discovery.locator.enabled=true
spring.cloud.gateway.discovery.locator.lowerCaseServiceId=true

spring.cloud.gateway.routes[0].id=user
spring.cloud.gateway.routes[0].uri=lb://smart-city-v2-user
spring.cloud.gateway.routes[0].predicates[0]=Path=/user/**
spring.cloud.gateway.routes[0].filters[0]=StripPrefix=1

spring.cloud.gateway.routes[1].id=admin
spring.cloud.gateway.routes[1].uri=lb://smart-city-v2-admin
spring.cloud.gateway.routes[1].predicates[0]=Path=/admin/**
spring.cloud.gateway.routes[1].filters[0]=StripPrefix=1

spring.cloud.gateway.routes[2].id=device
spring.cloud.gateway.routes[2].uri=lb://smart-city-v2-device
spring.cloud.gateway.routes[2].predicates[0]=Path=/device/**
spring.cloud.gateway.routes[2].filters[0]=StripPrefix=1

spring.cloud.gateway.routes[3].id=workflow
spring.cloud.gateway.routes[3].uri=lb://smart-city-v2-workflow
spring.cloud.gateway.routes[3].predicates[0]=Path=/workflow/**
spring.cloud.gateway.routes[3].filters[0]=StripPrefix=1


spring.cloud.gateway.routes[4].id=access
spring.cloud.gateway.routes[4].uri=lb://smart-city-v2-iothub-access
spring.cloud.gateway.routes[4].predicates[0]=Path=/access/**
spring.cloud.gateway.routes[4].filters[0]=StripPrefix=1

spring.cloud.gateway.routes[5].id=log
spring.cloud.gateway.routes[5].uri=lb://smart-city-v2-log
spring.cloud.gateway.routes[5].predicates[0]=Path=/log/**
spring.cloud.gateway.routes[5].filters[0]=StripPrefix=1

spring.servlet.multipart.max-file-size=100MB
spring.servlet.multipart.max-request-size=100MB

